@import '_content/NumberTitleAndLinkComponent/NumberTitleAndLinkComponent.1obqvzk753.bundle.scp.css';

/* /Pages/WebAdmin/ApplicationEditor.razor.rz.scp.css */
.applicationEditorMenu[b-pi6k5joxxf] {
    background-color: #3fa9f5;
}

applicationEditorMenu.e-treeview .e-icon-expandable[b-pi6k5joxxf] {
    color: #126a90;
}

applicationEditorMenu.e-treeview .e-icon-collapsible[b-pi6k5joxxf] {
    color: #126a90;
}

.applicationEditorMenu .e-treeview[b-pi6k5joxxf] {
    background-color: #126a90;
}

    /* Colour of all text */
    .applicationEditorMenu .e-treeview .e-list-item > .e-text-content .e-list-text[b-pi6k5joxxf] {
        color: white;
    }

    /* Selected row - selection bar (full width) */
    .applicationEditorMenu .e-treeview .e-list-item.e-active > .e-fullrow[b-pi6k5joxxf] {
        background-color: #3fa9f5;
    }

    /* Selected row - text only */
    .applicationEditorMenu .e-treeview .e-list-item.e-active > .e-text-content .e-list-text[b-pi6k5joxxf] {
        background-color: #3fa9f5;
        color: white;
    }

    .applicationEditorMenu .e-treeview .e-list-item.e-hover > .e-fullrow[b-pi6k5joxxf] {
        background-color: #3fa9f5;
        color: white;
        border-width: 0px;
    }



/* /Shared/Academic_PreApproval/PreApprovalQueries.razor.rz.scp.css */
[b-3rd8q5aevq] .query-row {
    background-color: #c8e6c9 !important; /* Pastel green */
}

[b-3rd8q5aevq] .answer-row {
    background-color: #e3f2fd !important; /* Pastel blue */
}
/* /Shared/Application/ApplicationBasicInformation.razor.rz.scp.css */
.applicationBasicInformation .row[b-2nvt82z9df],
.applicationBasicInformation [class^="col-"][b-2nvt82z9df] {
    margin: 0 0 0 0;
    padding: 0 0 0 5px;
}
/* /Shared/Application/ChangeOrganizationForm.razor.rz.scp.css */
.radio-control[b-wwce4hysdu] {
    width: 100%;
}

.textarea-control[b-wwce4hysdu] {
    margin-top: 20px;
    height: 120px;
}

[b-wwce4hysdu] .e-switch-wrapper {
    width: 175px;
    height: 20px;
}

    [b-wwce4hysdu] .e-switch-wrapper .e-switch-inner {
        font-size: 14px;
    }

    [b-wwce4hysdu] .e-switch-wrapper .e-switch-on,
    [b-wwce4hysdu] .e-switch-wrapper .e-switch-off {
        min-width: 100px;
    }

    [b-wwce4hysdu] .e-switch-wrapper .e-switch-handle {
        width: 20px;
        height: 20px;
    }
/* /Shared/Application/WorkflowDialogs/LSBUGetMissingQLSFields.razor.rz.scp.css */
.sriAddressBox[b-mo0a4d363d] {
    margin-top: 10px;
    height: auto;
    width: 100%;
    min-width: 185px;
    border: 2px solid #e1e1e1;
    display: flex; /* relevant part */
    flex-direction: column; /* relevant part */
    overflow: hidden;
}
/* /Shared/Application/WorkflowDialogs/SearchForDuplicates.razor.rz.scp.css */
.sriAddressBox[b-htwc7pqsvm] {
    margin-top: 10px;
    height: auto;
    width: 100%;
    min-width: 185px;
    border: 2px solid #e1e1e1;
    display: flex; /* relevant part */
    flex-direction: column; /* relevant part */
    overflow: hidden;
}

.selectSriStudentBox[b-htwc7pqsvm] {
    margin-top: 10px;
    height: 100%;
    width: 100%;
    min-width: 185px;
    border: 2px solid #e1e1e1;
    display: flex; /* relevant part */
    flex-direction: column; /* relevant part */
    overflow: hidden;
}

.large-checkbox.e-checkbox-wrapper[b-htwc7pqsvm] {
    font-size: 2rem;
    min-height: 2.5em;
    min-width: 2.5em;
}

.large-checkbox .e-frame[b-htwc7pqsvm],
.large-checkbox .e-check[b-htwc7pqsvm],
.large-checkbox .e-stop[b-htwc7pqsvm] {
    width: 2em;
    height: 2em;
    font-size: 2em;
}

.large-checkbox .e-label[b-htwc7pqsvm] {
    font-size: 1.5em;
    padding-left: 0.75em;
}
/* /Shared/ProspectusEditor/Sessions/SessionDates.razor.rz.scp.css */
/* Removed - no longer using SfSwitch component
::deep .large-switch {
    transform: scale(1.5);
    transform-origin: left center;
}

::deep .large-switch .e-switch-inner {
    min-width: 100px;
}
*/
/* /Shared/ProspectusEditor/Sessions/SessionGrid.razor.rz.scp.css */
.fullscreen-container[b-q6x7g131wf] {
    position: fixed;
    top: 70px;
    left: 15em;
    right: 0;
    bottom: 0;
    z-index: 9999;
    background: white;
    padding: 20px;
    overflow: auto;
}

[b-q6x7g131wf] .e-toolbar .e-toolbar-item.e-fullscreen .e-tbar-btn-text {
    display: none;
}

[b-q6x7g131wf] .e-toolbar .e-toolbar-item .e-tbar-btn .fa-solid {
    font-size: 16px;
}
/* /Shared/SortableList.razor.rz.scp.css */
/* 
  you need the ::deep identifier if you are using scoped styles like this
  because scoped styles are only applied to markup in the component, not
  to the markup inside the render fragment.
*/

[b-c3us347yle] .sortable-ghost {
    visibility: hidden;
}

[b-c3us347yle] .sortable-fallback {
    opacity: 1 !important
}
